%global pkgname websockify

Summary:        WSGI based adapter for the Websockets protocol
Name:           python-%{pkgname}
Version:        0.11.0
Release:        3%{?dist}
License:        LGPLv3
URL:            https://github.com/kanaka/websockify
Source0:        %{url}/archive/v%{version}/websockify-%{version}.tar.gz

BuildArch:      noarch

%description
Python WSGI based adapter for the Websockets protocol

%package -n python3-%{pkgname}
Summary:        WSGI based adapter for the Websockets protocol - Python 3 version
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-setuptools

%description -n python3-%{pkgname}
Python WSGI based adapter for the Websockets protocol - Python 3 version

%prep
%autosetup -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

rm -Rf %{buildroot}/usr/share/websockify
mkdir -p %{buildroot}%{_mandir}/man1/
install -m 444 docs/websockify.1 %{buildroot}%{_mandir}/man1/

%files -n python3-%{pkgname}
%license COPYING
%doc docs
%{_bindir}/websockify
%{python3_sitelib}/websockify/
%{python3_sitelib}/websockify-%{version}-py%{python3_version}.egg-info
%{_mandir}/man1/websockify.1*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 5 2023 Shuo Wang <abushwang@tencent.com> - 0.11.0-1
- initial build
